<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddVoiceMailPortReq StructType
 * @subpackage Structs
 */
class AddVoiceMailPortReq extends APIRequest
{
    /**
     * The voiceMailPort
     * @var XVoiceMailPort
     */
    public $voiceMailPort;
    /**
     * Constructor method for AddVoiceMailPortReq
     * @uses AddVoiceMailPortReq::setVoiceMailPort()
     * @param XVoiceMailPort $voiceMailPort
     */
    public function __construct(XVoiceMailPort $voiceMailPort = null)
    {
        $this
            ->setVoiceMailPort($voiceMailPort);
    }
    /**
     * Get voiceMailPort value
     * @return XVoiceMailPort|null
     */
    public function getVoiceMailPort()
    {
        return $this->voiceMailPort;
    }
    /**
     * Set voiceMailPort value
     * @param XVoiceMailPort $voiceMailPort
     * @return AddVoiceMailPortReq
     */
    public function setVoiceMailPort(XVoiceMailPort $voiceMailPort = null)
    {
        $this->voiceMailPort = $voiceMailPort;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddVoiceMailPortReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
